%define oname tqdm

%def_with check

Name: python3-module-tqdm
Version: 4.66.5
Release: alt1.p10.1

Summary: A fast, extensible progress bar for Python and CLI

License: MIT and MPL-2.0
Group: Development/Python
Url: https://pypi.org/project/tqdm

Source: %name-%version.tar
Source1: setuptools-68.2.2-py3-none-any.whl

BuildArch: noarch

Conflicts: python-module-%oname
Obsoletes: python-module-%oname

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools_scm
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-pytest-asyncio
BuildRequires: python3-module-pytest-timeout
BuildRequires: python3-module-numpy
%endif

# make optional
%add_python3_req_skip dask.callbacks rich.progress

%description
tqdm means "progress" in Arabic (taqadum) and an abbreviation
for "I love you so much" in Spanish (te quiero demasiado).

Instantly make your loops show a smart progress meter -
just wrap any iterable with tqdm(iterable), and you're done!

%prep
%setup
sed -ie 's/timeout = 30/timeout = 60/' pyproject.toml

%build
# build with bundled setuptools
mkdir dist
cp %SOURCE1 dist/
echo "$(basename '%SOURCE1')" > dist/.wheeltracker
%pyproject_run -- bash -s <<-'ENDUNITTEST'
# redefine __python3 to python3 instead of /usr/bin/python3 to point to virt one
%global __python3_orig %__python3
%define __python3 python3
%pyproject_build
%define __python3 %__python3_orig
ENDUNITTEST

%install
%pyproject_install

%check
# https://github.com/tqdm/tqdm/issues/1537
%pyproject_run_pytest -o=addopts="-v --tb=short -rxs -W=error --durations=0 --durations-min=0.1"

%files
%doc *.rst
%_bindir/tqdm
%python3_sitelibdir/%oname
%python3_sitelibdir/%{pyproject_distinfo %oname}

%changelog
* Tue Jan 28 2025 Anton Vyatkin <toni@altlinux.org> 4.66.5-alt1.p10.1
- backport to p10 (fixes CVE-2024-34062)

* Fri Oct 25 2024 Ilya Sorochan <k0tran@altlinux.org> 4.66.5-alt2
- fix tests on risc-v (increase pytest timeout)

* Mon Aug 05 2024 Anton Vyatkin <toni@altlinux.org> 4.66.5-alt1
- new version 4.66.5

* Fri May 03 2024 Anton Vyatkin <toni@altlinux.org> 4.66.4-alt1
- new version 4.66.4

* Mon Feb 12 2024 Anton Vyatkin <toni@altlinux.org> 4.66.2-alt1
- new version 4.66.2 (build with check).

* Wed Jan 24 2024 Anton Vyatkin <toni@altlinux.org> 4.66.1-alt2
- Fixed FTBFS (build without check).

* Tue Sep 26 2023 Anton Vyatkin <toni@altlinux.org> 4.66.1-alt1
- new version 4.66.1

* Wed Apr 12 2023 Anton Vyatkin <toni@altlinux.org> 4.65.0-alt2
- Fix BuildRequires

* Mon Mar 13 2023 Vitaly Lipatov <lav@altlinux.ru> 4.65.0-alt1
- new version 4.65.0 (with rpmrb script)

* Sun Jan 22 2023 Vitaly Lipatov <lav@altlinux.ru> 4.64.1-alt1
- new version 4.64.1 (with rpmrb script)

* Mon Jul 18 2022 Vitaly Lipatov <lav@altlinux.ru> 4.64.0-alt1
- new version 4.64.0 (with rpmrb script)

* Tue Apr 05 2022 Vitaly Lipatov <lav@altlinux.ru> 4.63.1-alt1
- new version 4.63.1 (with rpmrb script)

* Sun Sep 12 2021 Vitaly Lipatov <lav@altlinux.ru> 4.62.2-alt1
- new version 4.62.2 (with rpmrb script)

* Thu Aug 26 2021 Vitaly Lipatov <lav@altlinux.ru> 4.62.1-alt1
- new version 4.62.1 (with rpmrb script)

* Tue Aug 17 2021 Vitaly Lipatov <lav@altlinux.ru> 4.62.0-alt2
- make dask, rich module requirement optional

* Sun Aug 15 2021 Vitaly Lipatov <lav@altlinux.ru> 4.62.0-alt1
- new version 4.62.0 (with rpmrb script)

* Fri Jul 17 2020 Sergey Bolshakov <sbolshakov@altlinux.ru> 4.48.0-alt1
- 4.48.0 released

* Sat Feb 08 2020 Vitaly Lipatov <lav@altlinux.ru> 4.42.1-alt2
- add conflicts/obsoletes for python-module-tqdm (due bindir/tqdm)

* Fri Feb 07 2020 Vitaly Lipatov <lav@altlinux.ru> 4.42.1-alt1
- build separate python3 module
- new version 4.42.1 (with rpmrb script)

* Tue Aug 08 2017 Aleksei Nikiforov <darktemplar@altlinux.org> 4.15.0-alt1
- Initial build for ALT.
